Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class FreehandRoi

    java.lang.Object
      ij.gui.Roi
          ij.gui.PolygonRoi
              ij.gui.FreehandRoi

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class FreehandRoi
extends PolygonRoi

Freehand region of interest or freehand line of interest

See Also:
  Serialized Form

Field Summary

Fields inherited from class ij.gui.PolygonRoi
`maxPoints, nPoints, splinePoints, xp, xp2, xScreenSpline, xSpline, yp, yp2, yScreenSpline, ySpline`

Fields inherited from class ij.gui.Roi
`ANGLE, cachedMask, center, clipboard, clipHeight, clipWidth, clipX, clipY, COMPOSITE, constrain, CONSTRUCTING, FREELINE, FREEROI, HANDLE_SIZE, handleColor, ic, imp, instanceColor, LINE, mag, MOVING, MOVING_HANDLE, name, NORMAL, NOT_PASTING, oldHeight, oldWidth, oldX, oldY, OVAL, pasteMode, POINT, POLYGON, POLYLINE, previousRoi, RECTANGLE, RESIZING, ROIColor, TRACED_ROI, type, updateFullWindow, xMax, yMax`

Constructor Summary
`FreehandRoi(int sx, int sy, ImagePlus imp)`

Method Summary
`protected void` | `grow(int sx, int sy)`
`protected void` | `handleMouseUp(int screenX, int screenY)`

Methods inherited from class ij.gui.PolygonRoi
`addOffset, clone, contains, draw, drawPixels, fitSpline, getAngle, getFeretsDiameter, getLength, getMask, getNCoordinates, getPolygon, getXCoordinates, getYCoordinates, isHandle, mouseDownInHandle, moveHandle, updatePolygon`

Methods inherited from class ij.gui.Roi
`abortPaste, drawPixels, endPaste, equals, getAngle, getBoundingRect, getBounds, getColor, getCurrentPasteMode, getName, getPasteMode, getState, getType, getTypeAsString, handleMouseDown, handleMouseDrag, isArea, isLine, isVisible, nudge, nudgeCorner, setColor, setImage, setInstanceColor, setLocation, setName, setPasteMode, showStatus, startPaste, toString, update, updateClipRect`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FreehandRoi

    public FreehandRoi(int sx,
                       int sy,
                       ImagePlus imp)

Method Detail

### grow

    protected void grow(int sx,
                        int sy)

  Overrides:
    `grow` in class `PolygonRoi`

### handleMouseUp

    protected void handleMouseUp(int screenX,
                                 int screenY)

  Overrides:
    `handleMouseUp` in class `PolygonRoi`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD